Vai al contenuto

Documentazione API

Smrt English Client API

Un’API in sola lettura che trasmette i dati di studenti e classi ai sistemi del vostro istituto. Ogni chiave API (API key) accede solo ai dati del proprio istituto.

Apri l’area di test

Come funziona

Come funziona una richiesta.

Il vostro sistema richiede i dati di uno studente o di una classe con la propria chiave API, e l’API li restituisce in sola lettura.

Il vostro sistemaIl gestionale degli studenti o lo strumento di reportistica.
La vostra chiave APIInviata con ogni richiesta e associata alla vostra scuola.
API di Smrt EnglishEndpoint in sola lettura per studenti e classi.
I vostri datiVoti, presenze ed elenchi delle classi in formato JSON.
keyboard_arrow_up

Smrt English API

verified_user Authentication Test Endpoint

Endpoint Details

Endpoint: GET /smrtapi/v1/auth

Purpose: Verify that your API key is valid and active

Headers Required

X-API-Key: your_institution_api_key

Example Request

curl -H "X-API-Key: your_institution_api_key" \
  https://smrtenglish.com/smrtapi/v1/auth

Use Cases

  • Verify API key before implementing full integration
  • Test connectivity to the API
  • Confirm school information and permissions
  • Health check for API availability

Response Format

Success Response (200 OK):

{
  "success": true,
  "data": {
    "authenticated": true,
    "school": {
      "id": 1,
      "name": "Your Institution Name",
      "key": "your_institution"
    },
    "api_key_name": "Your Institution Production API Key",
    "timestamp": "2025-09-29 22:20:32"
  },
  "message": "API key is valid and active"
}

Error Response (401 Unauthorized):

{
  "error": true,
  "message": "Authentication required",
  "status_code": 401,
  "error_code": "AUTH_REQUIRED"
}

Response Fields

Field Type Description
authenticated boolean Always true for successful auth
school.id integer Your institution's unique ID
school.name string Your institution's name
school.key string Your institution's unique key
api_key_name string Friendly name for the API key
timestamp string Server timestamp